/**
 * Globals
 */
 .glossary {
    display:block;
    margin:auto;
    width: 90%;
    height: auto;
    background-color:#3c3c3b;
    color: #fafafa;
}

/**
 * Search bar
 */
.glossary .search-bar {
    display: inline-block;
    width: 90%;
    margin-left: 5%;
    margin-top: 15px;
    margin-bottom: 10px;
}
.glossary .search-bar .form-control,
.glossary .search-bar img {
    display: block;
    height: 32px;
}
.glossary .search-bar .form-control {
    float: left;
    width: 100%;
    margin: auto;
    border-radius: 20px;
    padding-left: 30px;
    padding-top: 6px;
    padding-right: 30px;
    padding-bottom: 6px;
}
.glossary .search-bar img {
    position: absolute;
    float: right;
    right: 80px;
    width: 32px;
    padding: 5px;
}
.glossary .search-bar img.call-user-attention-search {
    animation-name: callAttentionToSearch;
    animation-duration: 1000ms;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: callAttentionToSearch;
    -webkit-animation-duration: 1000ms;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: callAttentionToSearch;
    -moz-animation-duration: 1000ms;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: callAttentionToSearch;
    -ms-animation-duration: 1000ms;
    -ms-animation-fill-mode: forwards;
}

@media(max-width: 992px) {

    .glossary .search-bar img {
        right: 55px;
    }

}

/**
 * Alphabetic filters
 */
.glossary .alphabet-selector {
    display: inline-block;
    width: 100%;
    height: auto;
    padding-top:20px;
    padding-bottom:20px;
    padding-left:50px;
    padding-right:50px;
    background-color: #dadada;
    border-top: 1px solid #d1c7c7;
    border-bottom: 1px solid #cccccc;
}
.glossary .alphabet-selector.bottom {
    margin-top:-5px;
}
.glossary .alphabet-selector p {
    display: inline-block;
    margin-bottom: 0px;
    font-weight: 500;
    color: #777777;
}
.glossary .alphabet-selector .lbl-search-by-letter {
    width: 100%;
    height: auto;
    margin-bottom: 15px;
    font-family: roboto-regular;
    font-size: 14px;
    font-weight: 700;
    color: #646366;
}   
.glossary .alphabet-selector .alphabet-selector-letter {
    display: inline-block;
    width: auto;
    height: auto;
    min-width: 32px;
    min-height: 32px;
    margin-left: 5px;
    margin-right: 5px;
    margin-bottom: 5px;
    padding: 5px;
    background-color: transparent;
}
.glossary .alphabet-selector .alphabet-selector-letter.selected {
    border: 1px solid #3c3c3b;
    border-radius: 3px;
}
.glossary .alphabet-selector .alphabet-selector-letter p, 
.glossary .alphabet-selector .alphabet-selector-letter p:hover,
.glossary .alphabet-selector .alphabet-selector-letter.selected p {
    display:inline-block;
    margin: auto;
    text-align: center;
    min-width: 100%;
    font-size: 1.1em;
}
.glossary .alphabet-selector .alphabet-selector-letter p {
    animation-name: deEmphasizeLetter;
    animation-duration: 1000ms;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: deEmphasizeLetter;
    -webkit-animation-duration: 1000ms;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: deEmphasizeLetter;
    -moz-animation-duration: 1000ms;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: deEmphasizeLetter;
    -ms-animation-duration: 1000ms;
    -ms-animation-fill-mode: forwards;
}
.glossary .alphabet-selector .alphabet-selector-letter p:hover,
.glossary .alphabet-selector .alphabet-selector-letter.selected p {
    animation-name: emphasizeLetter;
    animation-duration: 1000ms;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: emphasizeLetter;
    -webkit-animation-duration: 1000ms;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: emphasizeLetter;
    -moz-animation-duration: 1000ms;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: emphasizeLetter;
    -ms-animation-duration: 1000ms;
    -ms-animation-fill-mode: forwards;
}

/**
 * Search results
 */
.glossary .search-results {
    display: inline-block;
    width: 100%;
    height: auto;
    max-height: 500px;
    overflow-y: auto;
    margin-bottom: -10px;
    padding: 35px;
    background-color: #ffffff;
    color: #333333;
}
.glossary .search-results .sr-item {
    display: inline-block;
    width: 100%;
    height: auto;
    padding: 15px;
}
.glossary .search-results .sr-item .title,
.glossary .search-results .sr-item .description {
    width: 100%;
}
.glossary .search-results .sr-item .title {
    margin-top: 0px;
    margin-bottom: 3px;
    font-family: roboto-bold !important;
    font-weight: 900;
    font-size: 16px;
    line-height: 1.3;
    color: #333333;
}
.glossary .search-results .sr-item .description {
    margin-bottom: 0px;
    font-family: roboto-regular !important;
    font-size: 14px;
    font-weight: 400;
    font-style: normal;
    line-height: 1.8;
    color: #333333;
}

/**
 * Item not found
 */
.glossary .item-not-found {
    display: table;
    width: calc(100% + 1px);
    height: 300px;
    margin-bottom: -5px;
    text-align: center;
    background-color: #fafafa;
    border: 1px solid #fafafa;
}
.glossary .item-not-found p {
    display: table-cell;
    vertical-align: middle;
    color: #777777;
    font-size: 1.2em;
}

/**
 * Animations
 */
/**
 * Call user's attention to search
 */
@keyframes callAttentionToSearch {
    from {
        -webkit-transform: perspective(34px);
        transform: perspective(34px);
        width: 34px;
        height: 34px;
    }
    50% {
        -webkit-transform: perspective(50px) rotate3d(0, 1, 0, -10deg);
        transform: perspective(50px) rotate3d(0, 1, 0, -10deg);
        width: 50px;
        height: 50px;
    }
    to {
        -webkit-transform: perspective(34px) rotate3d(0, 1, 0, 360deg);
        transform: perspective(34px) rotate3d(0, 1, 0, 360deg);
        width: 34px;
        height: 34px;
    }
}
@-moz-keyframes callAttentionToSearch {
    from {
        -webkit-transform: perspective(34px);
        transform: perspective(34px);
        width: 34px;
    }
    50% {
        -webkit-transform: perspective(34px) rotate3d(0, 1, 0, -10deg);
        transform: perspective(34px) rotate3d(0, 1, 0, -10deg);
        width: 34px;
    }
    to {
        -webkit-transform: perspective(34px) rotate3d(0, 1, 0, 360deg);
        transform: perspective(34px) rotate3d(0, 1, 0, 360deg);
        width: 34px;
    }
}
@-webkit-keyframes callAttentionToSearch {
    from {
        -webkit-transform: perspective(34px);
        transform: perspective(34px);
        width: 34px;
    }
    50% {
        -webkit-transform: perspective(34px) rotate3d(0, 1, 0, -10deg);
        transform: perspective(34px) rotate3d(0, 1, 0, -10deg);
        width: 34px;
    }
    to {
        -webkit-transform: perspective(34px) rotate3d(0, 1, 0, 360deg);
        transform: perspective(34px) rotate3d(0, 1, 0, 360deg);
        width: 34px;
    }
}

/**
 * Emphasize's letter
 */
@keyframes emphasizeLetter {
    from {
        font-family: roboto-regular;
        font-weight: 300;
        color: #333333
    }
    to {
        font-family: roboto-bold;
        font-weight: 900;
        color: #646366;
    }
}
@-moz-keyframes emphasizeLetter {
    from {
        font-family: roboto-regular;
        font-weight: 300;
        color: #333333
    }
    to {
        font-family: roboto-bold;
        font-weight: 900;
        color: #646366;
    }
}
@-webkit-keyframes emphasizeLetter {
    from {
        font-family: roboto-regular;
        font-weight: 300;
        color: #333333
    }
    to {
        font-family: roboto-bold;
        font-weight: 900;
        color: #646366;
    }
}

/**
 * Deemphasize's letter
 */
 @keyframes deEmphasizeLetter {
    from {
        font-family: roboto-bold;
        font-weight: 900;
        color: #646366;
    }
    to {
        font-family: roboto-regular;
        font-weight: 300;
        color: #333333
    }
}
@-moz-keyframes deEmphasizeLetter {
    from {
        font-family: roboto-bold;
        font-weight: 900;
        color: #646366;
    }
    to {
        font-family: roboto-regular;
        font-weight: 300;
        color: #333333
    }
}
@-webkit-keyframes deEmphasizeLetter {
    from {
        font-family: roboto-bold;
        font-weight: 900;
        color: #646366;
    }
    to {
        font-family: roboto-regular;
        font-weight: 300;
        color: #333333
    }
}